import { getVersionAPI } from '@/api'

export default defineStore(
  'version',
  {
    state: () => ({
      version: {}
    }),
    actions: {
      // 获取版本信息
      getVersion() {
        return new Promise((resolve, reject) => {
          getVersionAPI().then(res => {
            this.version = res.data
            resolve(res)
          }).catch(error => {
            reject(error)
          })
          resolve()
        })
      }
    }
  })

